## com.bbn.openmap.omGraphics.editable
Class ScalingRasterSelectedState

    java.lang.Object
      com.bbn.openmap.layer.util.stateMachine.State
          com.bbn.openmap.omGraphics.editable.GraphicSelectedState
              com.bbn.openmap.omGraphics.editable.ScalingRasterSelectedState

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.event.AdjustmentListener, java.awt.event.ComponentListener, java.awt.event.ContainerListener, EOMGSelectedState, java.util.EventListener, java.awt.event.FocusListener, java.awt.event.ItemListener, java.awt.event.KeyListener, MapMouseListener, java.awt.event.TextListener, java.awt.event.WindowListener

public class ScalingRasterSelectedState
extends GraphicSelectedState

Field Summary

Fields inherited from class com.bbn.openmap.omGraphics.editable.GraphicSelectedState
`graphic`

Fields inherited from class com.bbn.openmap.layer.util.stateMachine.State
`i18n`

Constructor Summary
`ScalingRasterSelectedState(EditableOMScalingRaster eomr)`

Method Summary
`boolean` `mouseMoved(java.awt.event.MouseEvent e)` Invoked when the mouse button has been moved on a component (with no buttons down).
`boolean` `mousePressed(java.awt.event.MouseEvent e)` In this state, we need to change states only if the graphic, or anyplace off the graphic is pressed down on.

Methods inherited from class com.bbn.openmap.omGraphics.editable.GraphicSelectedState
`mouseReleased`

Methods inherited from class com.bbn.openmap.layer.util.stateMachine.State

`actionPerformed, adjustmentValueChanged, componentAdded, componentHidden, componentMoved, componentRemoved, componentResized, componentShown, focusGained, focusLost, getMapMouseListenerResponse, getMouseModeServiceList, itemStateChanged, keyPressed, keyReleased, keyTyped, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, setMapMouseListenerResponse, textValueChanged, windowActivated, windowClosed, windowClosing, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScalingRasterSelectedState

    public ScalingRasterSelectedState(EditableOMScalingRaster eomr)

Method Detail

### mousePressed

    public boolean mousePressed(java.awt.event.MouseEvent e)

  In this state, we need to change states only if the graphic, or anyplace off the graphic is pressed down on. If the end points are clicked on, then we do nothing except set the moving point and go to edit mode.

  Specified by:
    `mousePressed` in interface `MapMouseListener`
  Overrides:
    `mousePressed` in class `GraphicSelectedState`

### mouseMoved

    public boolean mouseMoved(java.awt.event.MouseEvent e)

  Description copied from interface: `MapMouseListener`
  Invoked when the mouse button has been moved on a component (with no buttons down).

  Specified by:
    `mouseMoved` in interface `MapMouseListener`
  Overrides:
    `mouseMoved` in class `GraphicSelectedState`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details